﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using UF.AssessmentProject.Model;

namespace UF.AssessmentProject.Providers
{
    public class baseProvider
    {
        public dbContext db = null;

        public baseProvider()
        {
            DbContextOptionsBuilder<dbContext> optionsBuilder = new DbContextOptionsBuilder<dbContext>();
            optionsBuilder.UseInMemoryDatabase(databaseName: "UF");
            db = new dbContext(optionsBuilder.Options);
            SaveDataAsync();
        }
        public async Task<bool> SaveDataAsync()
        {
            await db.SaveChangesAsync();
            return true;

        }
    }
}
